MediaWiki:Navbox.css: Difference between revisions

Created page with "navbox: .navbox { width: 100%; font-size: 88%; margin: auto; clear: both; text-align: center; } .navbox-inner,.navbox-subgroup { width: 100%; } .navbox-group,.navbox-title,.navbox-abovebelow { padding: 0.25em 1em; line-height: 1.5em; text-align: center; } th.navbox-group { white-space: nowrap; text-align: left; Align Left cuz read words LTR, skim left side charaters first: } .skin-fandommobile th.navbox-group {..."
 
Kuhlau (talk | contribs)
No edit summary
 
Line 57: Line 57:


/* Dark mode navbox */
/* Dark mode navbox */
:is(.theme-fandomdesktop-dark, .theme-fandommobile-dark) .navbox-subgroup .navbox-title {
:is(.wgl-darkmode, .wgl-theme-dark) .navbox-subgroup .navbox-title {
     background: var(--pi-tabber-bg-color);
     background: var(--pi-tabber-bg-color);
}
}


:is(.theme-fandomdesktop-dark, .theme-fandommobile-dark) .navbox-subgroup .navbox-subgroup .navbox-title {
:is(.wgl-darkmode, .wgl-theme-dark) .navbox-subgroup .navbox-subgroup .navbox-title {
     background: var(--theme-color-6);
     background: var(--theme-color-6);
}
}


:is(.theme-fandomdesktop-dark, .theme-fandommobile-dark) .navbox-title {
:is(.wgl-darkmode, .wgl-theme-dark) .navbox-title {
     background: var(--pi-border);
     background: var(--pi-border);
}
}


:is(.theme-fandomdesktop-dark, .theme-fandommobile-dark) .navbox-abovebelow,
:is(.wgl-darkmode, .wgl-theme-dark) .navbox-abovebelow,
:is(.theme-fandomdesktop-dark, .theme-fandommobile-dark) th.navbox-group,
:is(.wgl-darkmode, .wgl-theme-dark) th.navbox-group,
:is(.theme-fandomdesktop-dark, .theme-fandommobile-dark) .navbox-subgroup .navbox-group,
:is(.wgl-darkmode, .wgl-theme-dark) .navbox-subgroup .navbox-group,
:is(.theme-fandomdesktop-dark, .theme-fandommobile-dark) .navbox-subgroup .navbox-abovebelow {
:is(.wgl-darkmode, .wgl-theme-dark) .navbox-subgroup .navbox-abovebelow {
     color: var(--theme-page-text-color);
     color: var(--theme-page-text-color);
     background: var(--pi-rows-color)!important;
     background: var(--pi-rows-color)!important;
}
}


:is(.theme-fandomdesktop-dark, .theme-fandommobile-dark) .navbox-image {
:is(.wgl-darkmode, .wgl-theme-dark) .navbox-image {
     background: var(--pi-rows-color);
     background: var(--pi-rows-color);
}
}


:is(.theme-fandomdesktop-dark, .theme-fandommobile-dark) .navbox-even {
:is(.wgl-darkmode, .wgl-theme-dark) .navbox-even {
     background: var(--theme-page-background-color--secondary);
     background: var(--theme-page-background-color--secondary);
}
}


/* Light mode navbox */
/* Light mode navbox */
:is(.theme-fandomdesktop-light, .theme-fandommobile-light) .navbox-subgroup .navbox-title {
:is(.wgl-lightmode, .wgl-theme-light) .navbox-subgroup .navbox-title {
     background: var(--theme-color-6);
     background: var(--theme-color-6);
}
}


:is(.theme-fandomdesktop-light, .theme-fandommobile-light) .navbox-subgroup .navbox-subgroup .navbox-title {
:is(.wgl-lightmode, .wgl-theme-light) .navbox-subgroup .navbox-subgroup .navbox-title {
     background: var(--theme-color-7);
     background: var(--theme-color-7);
}
}


:is(.theme-fandomdesktop-light, .theme-fandommobile-light) .navbox-title {
:is(.wgl-lightmode, .wgl-theme-light) .navbox-title {
     background: var(--theme-color-4);
     background: var(--theme-color-4);
}
}


:is(.theme-fandomdesktop-light, .theme-fandommobile-light) .navbox-abovebelow,
:is(.wgl-lightmode, .wgl-theme-light) .navbox-abovebelow,
:is(.theme-fandomdesktop-light, .theme-fandommobile-light) th.navbox-group,
:is(.wgl-lightmode, .wgl-theme-light) th.navbox-group,
:is(.theme-fandomdesktop-light, .theme-fandommobile-light) .navbox-subgroup .navbox-group,
:is(.wgl-lightmode, .wgl-theme-light) .navbox-subgroup .navbox-group,
:is(.theme-fandomdesktop-light, .theme-fandommobile-light) .navbox-subgroup .navbox-abovebelow {
:is(.wgl-lightmode, .wgl-theme-light) .navbox-subgroup .navbox-abovebelow {
     color: var(--theme-page-text-color);
     color: var(--theme-page-text-color);
     background: var(--theme-color-7);
     background: var(--theme-color-7);
}
}


:is(.theme-fandomdesktop-light, .theme-fandommobile-light) .navbox-image {
:is(.wgl-lightmode, .wgl-theme-light) .navbox-image {
     background: var(--theme-color-6);
     background: var(--theme-color-6);
}
}


:is(.theme-fandomdesktop-light, .theme-fandommobile-light) .navbox-even {
:is(.wgl-lightmode, .wgl-theme-light) .navbox-even {
     background: var(--pi-tabber-bg-color);
     background: var(--pi-tabber-bg-color);
}
}